--  泳池派对 中间场景
checkRequire("Lua_LeftInfoBaseWindow");
Lua_PoolPartyCenterWindow  = class("Lua_PoolPartyCenterWindow", Lua_Window);
function Lua_PoolPartyCenterWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_PoolPartyCenterWindow";
	self.skinName = "PoolCenterWindow_skin";
	self.layer = MainWinDefine.BASE_LAYER;
	self.isModel = false;
	self.showClose = false;
	self.showBg = false;
end

function Lua_PoolPartyCenterWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- self.content.transform.localPosition = Vector3(0, 0, 0);
	LuaUtil.setObjPos(self.content, 0, 0, 0);
	
	self.obg4:SetActive(false);
	self.iocn_mask:setEnable(false);
	self.icon_time.uiwidget.gameObject:SetActive(false);

	self.iocn_mask.type = UIBasicSprite.Type.Filled;
	self.iocn_mask.fillDirection = UIBasicSprite.FillDirection.Radial360;

	self.iocn1:addClickFuntion(self, self.onOpenIconOneClick);
	self.iocn2:addClickFuntion(self, self.onOpenIconTwoClick);
	self.iocn3:addClickFuntion(self, self.onOpenIconThreeClick);
	self.iocn4:addClickFuntion(self, self.onOpenIconFourClick);

	self:addLuaEvent("UPDARE_POOL_SCENE_INFO", self, self.updatePanelInfo);
	self:addLuaEvent("UPDARE_POOL_REQUES_INFO", self, self.updateRequestInfo);
	self:addLuaEvent("UPDATE_POOL_BOTTOM_POS", self, self.updateObgPos);
	
	self:updatePanelInfo();
	self:updateRequestInfo();
	self:initIconPos();
end

function Lua_PoolPartyCenterWindow:initIconPos()
	if DataCenter.chatData.isInSpread then
		Lua_MsgUtil.callFunc("UPDATE_POOL_BOTTOM_POS", Vector3(0, 60, 0));
	else
		Lua_MsgUtil.callFunc("UPDATE_POOL_BOTTOM_POS", Vector3(0, 0, 0));
	end
end

function Lua_PoolPartyCenterWindow:updatePanelInfo()
	self.obg4:SetActive(true);
	self.icon_num.text = LanUtil.formateStr(LanUtil.getValue(140804),tostring(DataCenter.poolPartyData.interaction_count));
	if DataCenter.poolPartyData.sun_bath_state == 1 then
		self.icon_dic.text = LanUtil.getValue(140805);
	elseif DataCenter.poolPartyData.sun_bath_state == 2 then
		self.icon_dic.text = LanUtil.getValue(140814);
	elseif DataCenter.poolPartyData.sun_bath_state == 0 then
		self.icon_dic.text = LanUtil.getValue(140815);
		self.obg4:SetActive(false);
	end

	if DataCenter.poolPartyData.interaction_count then
		if DataCenter.poolPartyData.interaction_count <= 0 then
			Lua_CommonUtil.removeTimer(self, self.updateCenterIconTime);
		end
	end
end

function Lua_PoolPartyCenterWindow:updateRequestInfo()
	local arr = DataCenter.poolPartyData.roleArr;
	self.obg1:SetActive(true);
	if not arr then
		self.obg1:SetActive(false);
	else
		if arr:getSize() <= 0 then
			self.obg1:SetActive(false);
		end
	end
end

function Lua_PoolPartyCenterWindow:updateCenterIconTime()
	self.leftTime = self.leftTime - 1;

	local fa = self.leftTime / DataCenter.poolPartyData.mask_time;
	self.iocn_mask.fillAmount = Mathf.Clamp(fa, 0, 1);

	if self.leftTime > 0 then
		self.icon_time.text = self.leftTime.."s";
		self.iocn_mask:setEnable(true);
		self.icon_time.uiwidget.gameObject:SetActive(true);
	else
		self.leftTime = nil;
		self.iocn_mask:setEnable(false);
		self.icon_time.uiwidget.gameObject:SetActive(false);
		Lua_CommonUtil.removeTimer(self,self.updateCenterIconTime);
	end
end

function Lua_PoolPartyCenterWindow:onOpenIconOneClick() -- 请求
	Lua_WindowUtil.openWin("Lua_PoolPartyRequestWindow", WinParam.ACTION_OPEN);
end

function Lua_PoolPartyCenterWindow:onOpenIconTwoClick() -- 泼水
	if DataCenter.poolPartyData.interaction_count > 0 then
		if not self.leftTime then
			if DataCenter.poolPartyData.selectPlayrId then
				self.leftTime = DataCenter.poolPartyData.mask_time;
				Lua_CommonUtil.addTimer("updateCenterIconTime", 1, self, self.updateCenterIconTime);

				Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sLabber(DataCenter.poolPartyData.selectPlayrId);
			else
				OperateAlert.show(LanUtil.getValue(140830));
			end
		else
			OperateAlert.show(LanUtil.formateStr(LanUtil.getValue(140831), tostring(self.leftTime)));
		end
	else
		OperateAlert.show(LanUtil.getValue(140838));
	end
end

function Lua_PoolPartyCenterWindow:onOpenIconThreeClick()
	Lua_WindowUtil.openWin("Lua_PoolSunbathingWindow", WinParam.ACTION_OPEN);
end

function Lua_PoolPartyCenterWindow:onOpenIconFourClick()
	Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sDisembark(1);
end

function Lua_PoolPartyCenterWindow:updateObgPos(val)
	self.obg1.transform.localPosition = val;
	self.obg2.transform.localPosition = val;
	self.obg3.transform.localPosition = val;
	self.obg4.transform.localPosition = val;
end

function Lua_PoolPartyCenterWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.updateCenterIconTime);
	self:superCall("dispose");
end