--  泳池派对左侧信息栏
checkRequire("Lua_LeftInfoBaseWindow");
Lua_PoolPartyLeftWindow  = class("Lua_PoolPartyLeftWindow", Lua_LeftInfoBaseWindow);
function Lua_PoolPartyLeftWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_PoolPartyLeftWindow";
	self.skinName = "PoolLeftWindow_skin";
end

function Lua_PoolPartyLeftWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleLab.text = LanUtil.getValue(140806);
	self.endTimeLab.text = LanUtil.getValue(140803);

	self.titleBg.clickScale = false;
	self.infoBg.clickScale = false;
	self.titleBg:addClickFuntion(self, self.onBgClick);
	self.infoBg:addClickFuntion(self, self.onBgClick);
	self.iocn:addClickFuntion(self, self.onOpenIconTips);
	self.addBtn:addClickFuntion(self, self.onAddClick);
	self.rulesBtn:addClickFuntion(self, self.onRuleClick);

	self:addLuaEvent("MENU_OUT_CLICK", self, self.onMenuOutClick);
	self:addLuaEvent("UPDARE_POOL_SCENE_INFO", self, self.updateLeftPanelInfo);
	self:addLuaEvent("UPDARE_POOL_TIME_INFO", self, self.updateTimeInfo);

	self:addTimer("checkScene", 1, self, self.onCheckScene);
end

function Lua_PoolPartyLeftWindow:onCheckScene()
	local sceneId = DataCenter.roleData.sceneId;
	local sceneData = Lua_SceneConfigData.getSceneConfig(sceneId);
	local curOpenWin = sceneData.config.open_win;
	local isShowWin = false;
	if curOpenWin ~= nil then
		for i,v in ipairs(curOpenWin) do
			if v == "Lua_PoolPartyLeftWindow" then
				isShowWin = true;
				break;
			end
		end
	end
	if isShowWin == false then
		self:hide();
	end
end

function Lua_PoolPartyLeftWindow:setShowState(val)
	self:superCall("setShowState", val);

	if val then
		self.closeBtn:setLocation(253.5, 135, 0);
		self.closeIcon:setLocation(252, 139, 0);
	else
		self.closeBtn:setLocation(344.5 + self.closeBtn.width + 13, 135, 0);
		self.closeIcon:setLocation(343 - 1.5 + self.closeBtn.width + 13, 139, 0);
	end
end

function Lua_PoolPartyLeftWindow.Get:hideOffset()
	return -360;
end

function Lua_PoolPartyLeftWindow:onMenuOutClick(o)
	Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.getValue(121635), type = 1, subFun = self.onOutClick});
end

function Lua_PoolPartyLeftWindow:onOutClick(val)
	Lua_MsgUtil.callFunc("UPDATE_BTNS_STATE", true);
	Lua_WindowUtil.openWin("Lua_PoolPartyLeftWindow", WinParam.ACTION_CLOSE);
	Lua_WindowUtil.openWin("Lua_PoolPartyCenterWindow", WinParam.ACTION_CLOSE);
	sendMsg(10400902);
end

function Lua_PoolPartyLeftWindow:updateLeftPanelInfo()
	self.expLab.text = LanUtil.formateStr(LanUtil.getValue(140800), tostring(Lua_CommonUtil.getNumberTrans(DataCenter.poolPartyData.interaction_exp)));
	self.addNumLab.text = LanUtil.formateStr(LanUtil.getValue(140801), tostring(DataCenter.poolPartyData.exp_multi));
	self.endExpLab.text = LanUtil.formateStr(LanUtil.getValue(140802), tostring(Lua_CommonUtil.getNumberTrans(DataCenter.poolPartyData.total_exp)));
end

function Lua_PoolPartyLeftWindow:updateTimeInfo()
	self.leftTime = DataCenter.poolPartyData.act_left_time;
	self.iconTime = DataCenter.poolPartyData.packet_left_time;
	Lua_CommonUtil.addTimer("updatePoolLeftTime", 1, self, self.updatePoolLeftTime);
	Lua_CommonUtil.addTimer("updatePoolIconTime", 1, self, self.updatePoolIconTime);
end

function Lua_PoolPartyLeftWindow:updatePoolLeftTime()
	self.leftTime = self.leftTime - 1;
	if self.leftTime <= 0 then
		self.leftTime = 0;
		Lua_CommonUtil.removeTimer(self, self.updatePoolLeftTime);
	end
	local colorStr = self.leftTime > 0 and "[00E125]" or "[FF1616]";
	self.endTimeTxt.text = colorStr..TimeTransform.getInstance():transSeconds6(self.leftTime, true, true).."[-]";
end

function Lua_PoolPartyLeftWindow:updatePoolIconTime()
	self.iconTime = self.iconTime - 1;
	if self.iconTime <= 0 then
		self.iconTime = 0;
		Lua_CommonUtil.removeTimer(self, self.updatePoolIconTime);
	end
	self.iocnTimeLab.text = TimeTransform.getInstance():transSeconds6(self.iconTime, false, true);
end

function Lua_PoolPartyLeftWindow:onOpenIconTips()
	Lua_PackUtil.showItemInfo(Lua_ToolVo.new(DataCenter.poolPartyData.pool_box_id), false);
end

function Lua_PoolPartyLeftWindow:onAddClick()
	Lua_WindowUtil.openWin("Lua_PoolSunbathingWindow", WinParam.ACTION_OPEN);
end

function Lua_PoolPartyLeftWindow:onRuleClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(140827));
end

function Lua_PoolPartyLeftWindow:dispose()
	Lua_MsgUtil.callFunc("UPDATE_BTNS_STATE", true);
	Lua_WindowUtil.openWin("Lua_PoolPartyCenterWindow", WinParam.ACTION_CLOSE);
	
	Lua_CommonUtil.removeTimer(self, self.updatePoolLeftTime);
	Lua_CommonUtil.removeTimer(self, self.updatePoolIconTime);
	self:superCall("dispose");
end