-- 泳池派对 请求界面

Lua_PoolPartyRequestWindow  = class("Lua_PoolPartyRequestWindow",Lua_SecondSizeWindow);
function Lua_PoolPartyRequestWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_PoolPartyRequestWindow";
	self.skinName = "PoolRequestWindow_skin";
	self.titleText = "請求信息"
end

function Lua_PoolPartyRequestWindow:dispose()
	self:superCall("dispose");
end

function Lua_PoolPartyRequestWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.infoBg:setLocation(0, -4);
	self.infoBg:SetDimensions(912, 656);
	self.winTitleBg:setLocation(0, 306);
	self.winTitleBg:SetDimensions(912, 78);
	self.titleNameTxt:setLocation(0, 306);
	self.btnClose:setLocation(418, 306);

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, -3, 884, 422));
	self.dragList:setLocation(0, 0, 0);
	self.dragList:setListCell(PoolPartyRequestItem, 80, 884, 1);
	self.dragList.canDrag = true;--设置按钮为可拖动
	self.allButton:addClickFuntion(self, self.onSubClick);
	self:addLuaEvent("UPDARE_POOL_REQUES_INFO", self, self.updateRequestInfo);
	self:updateRequestInfo()
end

function Lua_PoolPartyRequestWindow:updateRequestInfo()
	local  arr = DataCenter.poolPartyData.roleArr;
	if not arr then
		return;
	end
	self.dragList:setLuaArrayData(arr, false);
end

function Lua_PoolPartyRequestWindow:onSubClick() -- 拒绝
	Lua_WindowUtil.openWin("Lua_PoolPartyRequestWindow", WinParam.ACTION_CLOSE);
    Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sRequestState(1);
end




















PoolPartyRequestItem = class("PoolPartyRequestItem", Lua_ListCell);
function PoolPartyRequestItem:ctor(p)
	self:superCall("ctor", p,"PoolRequestItem_skin");
end

function PoolPartyRequestItem:buildShowItem()
	self:superCall("buildShowItem");
	self.downBtn:addClickFuntion(self, self.onDownClick); 
	self.trueBtn:addClickFuntion(self, self.onSubClick); 
end
function PoolPartyRequestItem:setData(data)
	self.data = data;
	self.play_name.text = data.name;
	self.play_info.text = data.tips;
end

function PoolPartyRequestItem:onDownClick() -- 拒绝
    Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sRequestState(0,2,self.data.player_id);
end

function PoolPartyRequestItem:onSubClick() -- 同意
	local tp = ThingUtil.instance:getThingById(self.data.player_id);
	if tp == nil then
		OperateAlert.show(LanUtil.getValue(140837));
		return;
	end

    if self.data.value == 1 then -- 1申请 2邀请
    	if DataCenter.poolPartyData.sun_bath_state == 2 then
    		local tipData = {
    			type = 1,
    			des = LanUtil.formateStr(LanUtil.getValue(140816), self.data.name, DataCenter.poolPartyData.partner_name), 
    			owner = self,
    			subFun = self.onOutClick,
    		};	
    		Lua_WindowUtil.openWin("Lua_TipsWindow", WinParam.ACTION_OPEN, tipData);
    		return;
    	end
    else
    	if DataCenter.poolPartyData.sun_bath_state > 0 then
    		local tipData = {
    			type = 1,
    			des = LanUtil.formateStr(LanUtil.getValue(140843), self.data.name, self.data.name), 
    			owner = self,
				subFun = self.onOutClick,
			};	
			Lua_WindowUtil.openWin("Lua_TipsWindow", WinParam.ACTION_OPEN, tipData);
			return;
    	end
    end
    self:onOutClick();
end

function PoolPartyRequestItem:onOutClick()
	Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sRequestState(0, 1, self.data.player_id);
end

function PoolPartyRequestItem:dispose()
	self:superCall("dispose");
end