-- 日光浴界面
Lua_PoolSunbathingWindow = class("Lua_PoolSunbathingWindow", Lua_SecondSizeWindow)
function Lua_PoolSunbathingWindow:ctor()
    self:superCall("ctor");
    
    self.windowName = "Lua_PoolSunbathingWindow";
    self.skinName = "PoolSunbathingWindow_skin";
	self.titleText = LanUtil.getValue(140823);
end

function Lua_PoolSunbathingWindow:dispose()
	self:superCall("dispose");
end

function Lua_PoolSunbathingWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.tips.text = LanUtil.getValue(140821);
    self.dragList = Lua_DragList.new(self.content, 2, Vector4(0, -42, 1080, 450));
	self.dragList:setLocation(0, 0, 0);
	self.dragList:setListCell(PoolSunbathingItem, 366, 360, 100);
	self.dragList.canDrag = true;--设置按钮为可拖动

    Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sPoolPartyItemInfo();
    self:addLuaEvent("UPDARE_POOL_SUN_INFO", self, self.updateSunbathingPanel);
end

-- 更新背包数据
function Lua_PoolSunbathingWindow:updateSunbathingPanel()
    local arr = DataCenter.poolPartyData.sunArr;
  	self.dragList:setLuaArrayData(arr, false);
end
























PoolSunbathingItem = class("PoolSunbathingItem", Lua_ListCell);
function PoolSunbathingItem:ctor(p)
	self:superCall("ctor", p,"PoolSunbathingItem_skin");
end

function PoolSunbathingItem:buildShowItem()
	self:superCall("buildShowItem");
	self.titleText = {140840, 140841, 140842};
	self.subButton:addClickFuntion(self, self.onSubClick); 
end
function PoolSunbathingItem:setData(data)
	self.data = data;
	self.useObg:SetActive(false);
	self.sun_bg:setAltas("poolParty_atlas", "ui_ycpd_0"..data.id);
	self.sun_title.text = LanUtil.getValue(self.titleText[data.id]);
	self.sun_monde:setAltas("poolParty_atlas", "ui_ycpd_0"..(data.id + 3));
	self.sun_monde:resetSize();
	self.exeText.text = LanUtil.formateStr(LanUtil.getValue(140822),tostring(data.exp_multi));

	if data.isUnlock == 0 then
		self.subButton.label = LanUtil.getValue(140826);
	else
		if data.isUse == 0 then
			self.subButton.label = LanUtil.getValue(140824);
		else
			self.useObg:SetActive(true);
			self.subButton.label = LanUtil.getValue(140825);
		end	
	end
end

function PoolSunbathingItem:onSubClick() -- 确认
	if self.data.isUnlock == 0 then -- 未解锁
		local tipData = {};
		tipData.des = self.data.unlock_money_dic;  
		tipData.owner = self;
		tipData.type = 1;
		tipData.subFun = self.onOutClick;   --确定
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
	else
		if self.data.isUse == 0 then -- 未使用
			Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sUsePoolPartyItem(1,self.data.id);
		else -- 下船
			Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sDisembark(1);
		end
	end
end

function PoolSunbathingItem:onOutClick(val)
	Lua_ProxyManager.getProxy("Lua_PoolPartyProxy"):sUsePoolPartyItem(2,self.data.id);
end

function PoolSunbathingItem:dispose()
	self:superCall("dispose");
end